---
title: letter-spacing
slug: Web/CSS/letter-spacing
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Reference
  - SVG
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>letter-spacing</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the horizontal spacing behavior between text characters. This value is added to the natural spacing between characters while rendering the text. Positive values of <code>letter-spacing</code> causes characters to spread farther apart, while negative values of <code>letter-spacing</code> bring characters closer together.</p>

<div>{{EmbedInteractiveExample("pages/css/letter-spacing.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
letter-spacing: normal;

/* &lt;length&gt; values */
letter-spacing: 0.3em;
letter-spacing: 3px;
letter-spacing: .3px;

/* Global values */
letter-spacing: inherit;
letter-spacing: initial;
letter-spacing: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>The normal letter spacing for the current font. Unlike a value of <code>0</code>, this keyword allows the {{glossary("user agent")}} to alter the space between characters in order to justify text.</dd>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Specifies extra inter-character space <em>in addition to</em> the default space between characters. Values may be negative, but there may be implementation-specific limits. User agents may not further increase or decrease the inter-character space in order to justify text.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>A large positive or negative <code>letter-spacing</code> value will make the word(s) the styling is applied to unreadable. For text styled with a very large positive value, the letters will be so far apart that the word(s) will appear like a series of individual, unconnected letters. For text styled with a very large negative value, the letters will overlap each other to the point where the word(s) may be unrecognizable.</p>

<p>Legible letter-spacing must be determined on a case-by-case basis, as different font families have different character widths. There is no one value that can ensure all font families automatically maintain their legibility.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-visual-presentation.html" rel="noopener">Understanding Success Criterion 1.4.8 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_letter_spacing">Setting letter spacing</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="normal"&gt;letter spacing&lt;/p&gt;
&lt;p class="em-wide"&gt;letter spacing&lt;/p&gt;
&lt;p class="em-wider"&gt;letter spacing&lt;/p&gt;
&lt;p class="em-tight"&gt;letter spacing&lt;/p&gt;
&lt;p class="px-wide"&gt;letter spacing&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.normal   { letter-spacing: normal; }
.em-wide  { letter-spacing: 0.4em; }
.em-wider { letter-spacing: 1em; }
.em-tight { letter-spacing: -0.05em; }
.px-wide  { letter-spacing: 6px; }
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_letter_spacing', 440, 185) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#letter-spacing-property', 'letter-spacing')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'text.html#propdef-letter-spacing', 'letter-spacing')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'text.html#LetterSpacingProperty', 'letter-spacing')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial SVG definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#letter-spacing', 'letter-spacing')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.letter-spacing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-kerning")}}</li>
</ul>
